package tk.antoine_roux.wiki;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.servlet.function.RouterFunction;
import org.springframework.web.servlet.function.RouterFunctions;
import org.springframework.web.servlet.function.ServerResponse;

/**
 * Main class
 */
// force spring application to not use glibc or any non jdk code which is bad for graalvm
@SpringBootApplication(proxyBeanMethods = false)
public class MainLauncher {

    /**
     * Entrypoint for application
     */
    public static void main(String[] args) {
        SpringApplication.run(MainLauncher.class, args);
    }

    /**
     * Routing declaration
     */
    // @Bean
    public RouterFunction<ServerResponse> routes() {
        return RouterFunctions.route()
                // .POST("/runners", accept(APPLICATION_FORM_URLENCODED), ControllerHandlers::addRunner)
                // .GET("/hello", ControllerHandlers::hello)
                .build();
    }
}
